function createButton (div, title, onaction, minwidth)
{
	div.style.height = "23px";
	div.style.appleDashboardRegion = 'dashboard-region(control rectangle)';
	var element = document.createElement ('img');
	element.src = 'images/done.png';
	div.appendChild (element);
	
	div.setAttribute ("buttonOnAction", onaction);
	div.setAttribute ("onmousedown", "buttonMouseDownHandler(event, this);");
	div.buttonEnabled = true;
	div.buttonInside = true;
	div.buttonAction = onaction;
	
	var img = new Image;
	img.src = 'images/done_pressed.png';
}

var buttonCurrentMouseDownButton = null;
function buttonMouseDownHandler(event, div)
{
	if (div.buttonEnabled)
	{
		div.childNodes[0].src = 'images/done_pressed.png';
	}
	
	document.addEventListener("mousemove", buttonMouseMoveHandler, true);
	document.addEventListener("mouseup", buttonMouseUpHandler, true);
	div.addEventListener("mouseover", buttonMouseOverHandler, true);
	div.addEventListener("mouseout", buttonMouseOutHandler, true);
	
	div.buttonInside = true;
	buttonCurrentMouseDownButton = div;
	
	event.stopPropagation();
	event.preventDefault();

}

function buttonMouseMoveHandler (event)
{
	event.stopPropagation();
	event.preventDefault();
}

function buttonMouseOverHandler (event)
{
	if (buttonCurrentMouseDownButton && buttonCurrentMouseDownButton.buttonEnabled)
	{
		buttonCurrentMouseDownButton.childNodes[0].src = 'images/done_pressed.png';
	}
	
	buttonCurrentMouseDownButton.buttonInside = true;

	event.stopPropagation();
	event.preventDefault();
}

function buttonMouseOutHandler (event)
{
	if (buttonCurrentMouseDownButton && buttonCurrentMouseDownButton.buttonEnabled)
	{
		buttonCurrentMouseDownButton.childNodes[0].src = 'images/done.png';
	}

	buttonCurrentMouseDownButton.buttonInside = false;
	
	event.stopPropagation();
	event.preventDefault();
}

function buttonMouseUpHandler (event)
{
	if (buttonCurrentMouseDownButton && buttonCurrentMouseDownButton.buttonEnabled)
	{
		buttonCurrentMouseDownButton.childNodes[0].src = 'images/done.png';
	}

	document.removeEventListener("mousemove", buttonMouseMoveHandler, true);
	document.removeEventListener("mouseup", buttonMouseUpHandler, true);
	if (buttonCurrentMouseDownButton)
	{
		buttonCurrentMouseDownButton.removeEventListener("mouseover", buttonMouseOverHandler, true);
		buttonCurrentMouseDownButton.removeEventListener("mouseout", buttonMouseOutHandler, true);
	}
		
	event.stopPropagation();
	event.preventDefault();
		
	if (buttonCurrentMouseDownButton && buttonCurrentMouseDownButton.buttonAction && buttonCurrentMouseDownButton.buttonEnabled &&
	    buttonCurrentMouseDownButton.buttonInside)
	{
		buttonCurrentMouseDownButton.buttonAction();
	}
	
	buttonCurrentMouseDownButton = null;
	
}
